public class Person
{
    // visible to this class and subclasses but not visible outside of class
    protected String firstName;
    protected String lastName;
    protected String phone;
    protected char gender;
    protected double height;
    protected int weight;
    
    // parameterized constructor; replaces the default constructor Java implicitly provides
    public Person(String fn, String ln, String ph, char g, double ht, int wt)
    {
        firstName = fn;
        lastName = ln;
        phone = ph;
        gender = g;
        height = ht;
        weight = wt;
    }
    
    public String getName()
    {
        return firstName + " " + lastName;
    }
    
    public String getPhone()
    {
        return phone;
    }
    
    // other getters/setters left as an exercise to the reader as needed...
    
    // always override toString() to control how an object is printed/displayed
    public String toString()
    {
        return (firstName + " " + lastName + " is " + (gender == 'M'?"male":"female") +
                ", weighs " + weight + " and is " + height + " inches tall");
    }
    
    public static void main(String[] args)
    {
        Person p = new Person("Mark","Stehlik","412-268-6273",'M',71,225);
        System.out.println(p);
        System.out.println(p.getPhone());
    }
}