import java.io.*;
import java.util.*;

public class Roster
{
    private ArrayList<Athlete> allPlayers;
    
    public Roster(Scanner file) throws IOException
    {
        allPlayers = new ArrayList<Athlete>();
        
        while (file.hasNext())
        {
            String first = file.next();
            String last = file.next();
            String phone = file.next();
            String gen = file.next();
            char gender = gen.charAt(0);
            double ht = file.nextDouble();
            int wt = file.nextInt();
            boolean meds = file.nextBoolean();
            String sport = file.next();
            if (sport.equals("volleyball"))
            {
                int assists = file.nextInt();
                int digs = file.nextInt();
                int kills = file.nextInt();
                allPlayers.add(new VballPlayer(first,last,phone,gender,ht,wt,meds,sport,assists,digs,kills));
            }
            else if (sport.equals("basketball"))
            {
                int twos = file.nextInt();
                int threes = file.nextInt();
                int assists = file.nextInt();
                int rebounds = file.nextInt();
                allPlayers.add(new BballPlayer(first,last,phone,gender,ht,wt,meds,sport,twos,threes,assists,rebounds));
            }
        }
        file.close();
    }
    
    public void printNames()
    {
        for (int i = 0; i < allPlayers.size(); i++)
            System.out.println(allPlayers.get(i).getName());
    }
    
    public void printRoster(String sp)
    {
        for (int i = 0; i < allPlayers.size(); i++)
        {
            if (allPlayers.get(i).getSport().equals(sp))
                System.out.println(allPlayers.get(i).getNameSport());
        }  
    }
    
    public void printStats(String s)
    {
        for (int i = 0; i < allPlayers.size(); i++)
        {
            if (s.equals("all"))
                System.out.println(allPlayers.get(i).getNameStats());
            else if (allPlayers.get(i).getSport().equals(s))
                System.out.println(allPlayers.get(i).getNameStats());
        }
    }
    
    public String toString()
    {
        String result = "";
        for (int i = 0; i < allPlayers.size(); i++)
        {
            Athlete a = allPlayers.get(i);
            result += a + "\n";
        }
        return result;
    }
    
    public static void main(String[] args) throws IOException
    {
        Roster r = new Roster(new Scanner(new FileReader("athletes.txt")));
        System.out.println(r);
        System.out.println();
        //Sytem.out.println("Names of all the athletes: ");
        //r.printNames();
        //System.out.println();
        System.out.println("Volleyball players: ");
        r.printRoster("volleyball");
        System.out.println();
        System.out.println("Basketball players: ");
        r.printRoster("basketball");
        System.out.println();
        System.out.println("All players with their stats:");
        r.printStats("all");
        System.out.println();
        r.printStats("basketball");
        r.printStats("sumo");  // prints nothing...
    }
}

